aoximport(8)

NAME
aoximport - import messages into Archiveopteryx.

SYNOPSIS
/usr/local/bin/aoximport [-vqe] mailbox type source-file [ source-file ... ]

DESCRIPTION

aoximport is used to import messages into Archiveopteryx en masse from other mailboxes (mbox, MH, maildir and Cyrus mailboxes are currently supported).

OPTIONS

-v  enables more verbose output. Can be repeated.

-q  sets the verbosity to zero.

-e  makes aoximport write problem messages to the errors subdirectory. If a message has parse problems, aoximport writes a copy of the message to errors/anonymised if anonymisation preserves the error, and to errors/plaintext else. The message is also written to the target mailbox, as an attachment to a special error message.

    The messages in the errors directory may be sent to info@aox.org, and we'll try to find out what the problem is. Please delete personal/confidential messages from errors/plaintext first.

SYNTAX
In the synopsis above, mailbox is the fully-qualified name of the destination mailbox (which must exist) into which messages are imported. type may be mbox, maildir, mh, or cyrus. The remaining arguments are interpreted as mailbox filenames of the specified type.

EXAMPLES
To import messages from the mbox files in ~/Mail/imap/* to a mailbox named /users/nirmala/imap:

    aoximport /users/nirmala/imap mbox ~/Mail/imap/*

After a large import, it's a good idea to run aox vacuum.

AUTHOR
The Archiveopteryx Developers, info@aox.org.

VERSION
This man page covers Archiveopteryx version 3.1.3, released 2010-03-10, http://www.archiveopteryx.org/3.1.3

SEE ALSO
aox(8), archiveopteryx(8), http://www.archiveopteryx.org